package djmil.cordacheckers;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import jakarta.servlet.http.HttpServletRequest;

@Controller
public class ReactAppController {
    // This controller simply redirects all UI related routes
    // to index.html, allowing react and react-router to work its magic

    // @GetMapping(value = { "", "/", "/games", "/games/*", "/about","/leaderboard" })
    // @PutMapping("/error")
    @RequestMapping(value = { "/", "/{x:[\\w\\-]+}", "/{x:^(?!api$).*$}/*/{y:[\\w\\-]+}","/error"  })
    public String getIndex(HttpServletRequest inRequest) {
        return "/index.html";
    }

}
